org.jetlang.remote.acceptor

## Interface MessageStreamWriter

All Known Implementing Classes:
  SocketMessageStreamWriter

    public interface MessageStreamWriter

User: mrettig Date: 4/6/11 Time: 8:48 AM

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `tryClose()`
`void` `write(String topic, Object msg)`
`void` `writeByteAsInt(int byteToWrite)`
`void` `writeBytes(byte[] bytes)`
`void` `writeReply(int reqId, String reqTopic, Object replyMsg)`
`void` `writeRequest(int reqId, String reqTopic, Object req)`
`void` `writeSubscription(int msgType, String subject, Charset charset)`

### Method Detail

#### writeByteAsInt

    void writeByteAsInt(int byteToWrite)
                 throws IOException

Throws:
  `IOException`

#### write

    void write(String topic,
               Object msg)
        throws IOException

Throws:
  `IOException`

#### writeRequest

    void writeRequest(int reqId,
                      String reqTopic,
                      Object req)
               throws IOException

Throws:
  `IOException`

#### writeBytes

    void writeBytes(byte[] bytes)
             throws IOException

Throws:
  `IOException`

#### tryClose

    boolean tryClose()

#### writeReply

    void writeReply(int reqId,
                    String reqTopic,
                    Object replyMsg)
             throws IOException

Throws:
  `IOException`

#### writeSubscription

    void writeSubscription(int msgType,
                           String subject,
                           Charset charset)
                    throws IOException

Throws:
  `IOException`